import { LandmarksService } from './service/landmarks.service';
import { OnInit, EventEmitter, OnDestroy } from '@angular/core';
import { Subscription } from 'rxjs';
import { ResponseError, EventComplete, ResponseAction, Mode } from './model';
import { NormalizedFace } from '@tensorflow-models/blazeface';
export declare class NgNaatLivenessWorkersComponent implements OnInit, OnDestroy {
    landmarksService: LandmarksService;
    drawFace: boolean;
    videoMirror: boolean;
    gestures: string[];
    timer: number;
    sampleSize: number;
    workerPath: string;
    mode: Mode;
    modelPath: string;
    onerror: EventEmitter<ResponseError>;
    detectionReady: EventEmitter<void>;
    calibrationPercentage: EventEmitter<number>;
    calibrationReady: EventEmitter<void>;
    faceDetected: EventEmitter<boolean>;
    events: EventComplete[];
    private video;
    private stream;
    private canvas;
    private canvasContext;
    private canvasWorker;
    private canvasContextWorker;
    private isFaceDetected;
    private timerTimeout;
    private isProcessComplete;
    private sampleData;
    private sampleResult;
    actionComplete: EventEmitter<ResponseAction>;
    gestureComplete: EventEmitter<ResponseAction>;
    processComplete: EventEmitter<string>;
    activeEmiterEvent: boolean;
    pointsSubscriptionLeft: Subscription;
    pointsSubscriptionRight: Subscription;
    pointsSubscriptionFront: Subscription;
    worker: Worker;
    private workerReady;
    private workerDtetectedFace;
    constructor(landmarksService: LandmarksService);
    ngOnInit(): void;
    private initElements;
    private validateGestures;
    private getUserMedia;
    loadWorker(): Promise<void>;
    initWorker(): void;
    detectFaceWorker: () => void;
    private videoLoaded;
    private firstDetection;
    estimateFaces(): Promise<NormalizedFace[]>;
    getSampleData: () => Promise<void>;
    initEvents(): void;
    detectFace: () => Promise<void>;
    private draw;
    private listenEvents;
    private validateActionComplete;
    private executeEvent;
    listenTurnLeft(): void;
    listenTurnRight(): void;
    private listenFront;
    listenSmile(): void;
    getCapture(): Promise<string>;
    private startTimer;
    private cameraOff;
    ngOnDestroy(): void;
}
